Bug 429464 - In a small window the "no remaining titles" may pile up with the song title
Summary: In a small window the "no remaining titles" may pile up with the song title
Status: RESOLVED FIXED
Alias: None
Product: Elisa
Classification: Unclassified
Component: general (show other bugs)
Version: 20.08.3
Platform: Other Other
: NOR normal
Target Milestone: ---
Assignee: Nate Graham
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-21 16:54 UTC by postix
Modified: 2020-12-09 21:10 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.04


Attachments
Screenshot (127.43 KB, image/jpeg)
2020-11-21 16:54 UTC, postix
Details

Note You need to log in before you can comment on or make changes to this bug.
Description postix 2020-11-21 16:54:16 UTC
Created attachment 133542 [details]
Screenshot

SUMMARY

If shrink the window to a minimum width, the "no remaining titles" will pile up like in the screenshot. 

SOFTWARE/OS VERSIONS
Operating System: Manjaro Linux
KDE Plasma Version: 5.20.3
KDE Frameworks Version: 5.76.0
Qt Version: 5.15.1

ADDITIONAL INFORMATION
Scaling 2.0
Comment 1 Nate Graham 2020-12-08 21:24:51 UTC
Will be fixed with https://invent.kde.org/multimedia/elisa/-/merge_requests/199
Comment 2 Nate Graham 2020-12-09 21:10:49 UTC
Git commit 219ef4fb71a3ce970f8afd4aa7e5ae73568131a1 by Nate Graham.
Committed on 09/12/2020 at 21:10.
Pushed by ngraham into branch 'master'.

Move remaining track indicator to playlist footer

Right now it can overlap with the text in the HeaderBar. And its
current location there feels kind of random, like it's just floating
in space, unstructured. By moving it to the playlist's footer, we solve
both of those problems and also give it in a more logical home:
alongside the indicator of the total number of tracks. Now the footer
shows two related pieces of information: the total number of tracks,
the the number of remaining tracks.
FIXED-IN: 21.04

M  +0    -1    src/qml/ElisaMainWindow.qml
M  +0    -38   src/qml/HeaderBar.qml
M  +9    -4    src/qml/MediaPlayListView.qml

https://invent.kde.org/multimedia/elisa/commit/219ef4fb71a3ce970f8afd4aa7e5ae73568131a1